Subject: Re: bug#58373: Support image-type `jpg'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 Oct 2022 15:16:29 +0200

Stefan Kangas <[email-masked]> writes:

> The image type is really "JPEG" (and the MIME type "image/jpeg"), while
> ".jpg" just happens to be a commonly used file extension for that file
> format.  So what we have now is already correct, strictly speaking.
>
> All the same, perhaps it would be convenient to allow "jpg" as an alias
> for "jpeg".  Would that risk introducing some backwards-incompatibility
> with some package out there though?

It probably won't, but I don't think it would be a good idea to
introduce an alias here.  It's less confusing to just have a simple
single mapping from type to backend.

So I don't think we should do anything here, and I'm therefore closing
this bug report.